module PnoteClient
  module Documents
    class Hml
      class EmbeddingBinaryItem
        attr_reader :id, :raw_data, :format, :size

        def initialize(bin_item_id, bin_item_tag, doc)
          bin_data_id = bin_item_tag['BinData']
          bin_data = doc.at_xpath("//BINDATA[@Id=#{bin_data_id}]")

          @id = bin_item_id
          @raw_data = bin_data.content
          @format = bin_item_tag['Format']
          @size = bin_data['Size'].to_i
        end
      end
    end
  end
end
