module PnoteClient
  module Documents
    class Hml
      class Image

        def self.from_tag(image_tag)
          bin_item_id = image_tag['BinItem']

          return self.new(bin_item_id)
        end

        attr_reader :bin_item_id

        def initialize(bin_item_id)
          @bin_item_id = bin_item_id
        end

        def content
          return "\n![image](#{@bin_item_id})\n"
        end

        def textable?
          return true
        end
      end
    end
  end
end
