require 'pnote_client/utils/string_util'

module PnoteClient
  module Documents
    class Pnote
      class Concept
        include Utils::StringUtil

        attr_reader :title, :content

        def initialize(title: nil, content: nil)
          @title = nil
          @content = nil
        end

        def set_title(title)
          @title = title
        end

        def add_content(content)
          @content = add_line(@content, content)
        end
      end
    end
  end
end
