module PnoteClient
  module Documents
    class Pnote
      class SubChapter
        attr_reader :title, :concepts, :exercises, :practices

        def initialize(title: nil)
          @title = title
          @concepts = []
          @exercises = []
          @practices = []
        end

        def set_title(title)
          @title = title
        end

        def add_concept(new_concept)
          @concepts << new_concept
        end

        def add_exercise(new_exercise)
          @exercises << new_exercise
        end

        def add_practice(new_practice)
          @practices << new_practice
        end
      end
    end
  end
end
