require 'pnote_client/utils/string_util'

module PnoteClient
  module Documents
    class Pnote
      class TeacherComment
        include Utils::StringUtil

        attr_accessor :content, :show_time

        def initialize(content: nil, show_time: 0)
          @show_time = show_time
          @content = content
        end

        def add_content_line(new_line)
          @content = add_line(@content, new_line)
        end
      end
    end
  end
end
