module PnoteClient
  module Documents
    class Hml
      class Style
        def self.from_tag(style_tag)
          style_id = style_tag['Id']
          style_name = style_tag['Name']

          return self.new(style_id, style_name)
        end

        attr_reader :id, :name

        def initialize(id, name)
          @id = id
          @name = name
        end
      end
    end
  end
end
