module PnoteClient
  module Documents
    class Pnote
      class Chapter
        attr_reader :title, :sub_chapters, :practices

        def initialize(title: nil)
          @title = title
          @sub_chapters = []
          @practices = []
        end

        def set_title(title)
          @title = title
        end

        def add_sub_chapter(new_sub_chapter)
          @sub_chapters << new_sub_chapter
        end

        def add_practice(new_practice)
          @practices << new_practice
        end
      end
    end
  end
end
